Subject: outgoing connection problems with 4.58

From: Michael Weiser <[email-masked]>
Date: Fri, 7 Nov 2003 13:32:25 +0100 (CET)

Hello all,

version 4.58 of pine doesn't seem to be able to open connections for
sending mail or news on IRIX 6.5.21f. I'm using the same version on
Linux-2.4.20 (glibc-2.1.3/2.3.2) and Solaris-2.8 without any problems.  
Anything up to and including 4.55 used to work fine on IRIX as well. I've
tried compiling 4.58 using gcc-3.2.3 as well as MIPSpro cc 7.2.3.1m. It
can open connections to IMAP and NNTP servers for reading but when I try
to send a mail via SMTP or post to a group using NNTP I get something like

[Error sending: Can't connect to mailserver,25: Invalid argument]

I've tried walking the code but can't find anything. Any hints would be 
greatly appreciated. Has anything related to opening of outgoing 
connections changed substantially from 4.55 to 4.58?
-- 
bye, Micha
-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------